Summary: KDE2 dock application for ISDN
Name: kisdndock
Version: 0.9.0
Release: 4
Source: http://people.redhat.com/twoerner/%{name}-%{version}.tar.gz
SOurce1: %{name}.pam
Requires: kdebase >= 2, kdelibs >= 2, isdn4k-utils, isdn-config, /usr/bin/consolehelper
Group: Applications/System
URL: http://people.redhat.com/twoerner
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: %{_prefix}

%description
KDE2 dock application for managing ISDN connections.

%prep
%setup -q
test -f Makefile.cvs && make -f Makefile.cvs

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh
./configure  --prefix=%{prefix} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT transform=

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name}
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sbindir}

%post
pushd %{_bindir}
    ln -sf consolehelper %{name} 
popd

%preun
rm %{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%attr(755,root,root)%{_sbindir}/kisdndock
%{prefix}/share/icons/*.xpm
%{prefix}/share/icons/mini/*.xpm
%{prefix}/share/applnk/Internet/*
#%{prefix}/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Tue Feb 06 2001 Than Ngo <than@redhat.com>
- fixed a problem in suid privileges (Bug #26129)

* Wed Dec 6 2000 Than Ngo <than@redhat.com>
- adopted to 7.1
- add missing %build

* Wed Dec 6 2000 Thomas Woerner <twoerner@redhat.de>
- KDE2 version (v0.9.0).

* Fri Aug 11 2000 Thomas Woerner <twoerner@redhat.de>
- initial RPM (v0.8.0).
